<?php

namespace App\Domains\UserManagement\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class LogOutController {
    public function __invoke(Request $request) {
        Auth::logout();

        // Session invalidieren
        $request->session()->invalidate();

        // CSRF-Token regenerieren (für Sicherheit)
        $request->session()->regenerateToken();

        // Redirect z.B. zur Login-Seite
        return redirect()->intended('/')->with('status', 'Erfolgreich abgemeldet!');
    }
}
